import { HTMLAttributes } from "react";

import { cn } from "@/lib/utils";

type SectionProps = HTMLAttributes<HTMLElement> & {
  as?: "section" | "div" | "article" | "main" | "header" | "footer";
};

export function Section({
  className,
  as: Component = "section",
  ...props
}: SectionProps) {
  return <Component className={cn("py-16 md:py-24", className)} {...props} />;
}
