/// <reference types="next" />
/// <reference types="next/navigation" />
/// <reference types="next/link" />

import {
  AccessToken as PrismaAccessToken,
  Client as PrismaClient,
  User,
} from "@prisma/client";

export interface ExtendedClient extends PrismaClient {
  user: {
    username: string;
    email: string;
  };
  accessTokens?: ExtendedAccessToken[];
  authCount?: number;
  enabled?: boolean;
}

export interface ExtendedAccessToken extends PrismaAccessToken {
  client?: {
    name: string;
  };
  user?: {
    username: string;
  };
  error?: string | null;
  createdAt: Date;
  updatedAt: Date;
}

export {};
